Subject: [mediactrl] RE: draft-vandyke-mscml-07.txt

From: "Osher Hmelnizky" <[email-masked]>
Date: Mon, 10 Apr 2006 15:55:48 +0100

Hi Jeff, 

To summarize my previous question, there are some basic problems exist
in the last draft regarding mscml Video extension:
1. Simultaneous playing of different files (Video/audio/3g or only
video/audio from 3G files)
2. Simultaneous play&record 
3. Video Conference layout and notifications support
4. Resources preservation issues.

I would be glad to hear your attitude.

Kind regards

Osher

-----Original Message-----
From: Van Dyke, Jeff [mailto:[email-masked]] 
Sent: Thursday, March 23, 2006 12:07 AM
To: Osher Hmelnizky
Cc: Burger, Eric; Spitzer, Andy
Subject: RE: draft-vandyke-mscml-07.txt 

Osher,
	Thanks for your encouragement and commentary.  I haven't had a
chance to review your feedback in detail but will email you with
clarifications or questions when I do.
Regards,
	Jeff 

-----Original Message-----
From: Osher Hmelnizky [mailto:[email-masked]] 
Sent: Tuesday, March 21, 2006 7:27 AM
To: Van Dyke, Jeff
Cc: Burger, Eric; Spitzer, Andy
Subject: RE:draft-vandyke-mscml-07.txt 

Hello, 

We are using the previous draft, draft-vandyke-mscml-06.txt, for the
Media Server control over SIP. 

MSCML control language, as I understand, should supply the same control
functions like H248 packages (H248.9 & H248.19)

As we are going forward, the video support appears in the new draft
(draft-vandyke-mscml-07.txt). 

>From the media server point of view, I understand that the media server
control language should provide control interface according to media
server requirements. 

I'll try to map basic Media Server requirements, to the MSCML language
functionality:

R1. Streaming
	R1.1 Play
		R1.1.1 Only Video or Audio or Variable - your usage of
"audio" for both audio and video does not allow playing only video
stream.
For example I think it is clearer to use the following:

<?xml version="1.0" encoding="utf-8"?>
 <MediaServerControl version="1.0">
 <request>
<play>
<prompt>
<video url="http://prompts.example.net/welcome.3gp"/>
</prompt>
</play>
 </request>
 </MediaServerControl>
\
		R1.1.2 Audio & Video from different sources - it should
some "simultaneous" execution flag be used, i.e.

<?xml version="1.0" encoding="utf-8"?>
 <MediaServerControl version="1.0">
 <request>
<play>
<prompt playorder="simultanious">
  <video url="nfs://prompts.example.net/welcome.3gp"/>
  <audio url="nfs://prompts.example.net/welcome_en.au"/>
</prompt>
	</play>
 </request>
 </MediaServerControl>

		R1.1.3 Play Multimedia files (Video & Audio from one
source) - supported, I don't know if "audio" is good choice...
		R1.1.4 Play Files from multiple sources (i.e. play
multiple video files) - not supported. 

	R1.2 Record
		R1.2.1 Only Video or Audio - as R1.1.1
		R1.2.2 Audio & Video to the same file - supported,
"audio" issue
		R1.2.3 Audio & Video to different files - not supported,
it should be like:

	R1.3 PlayCollect
		R1.3.1 Only Video or Audio or Variable - as R1.1.1
		R1.3.2 Audio & Video from the same file - supported,
"audio" issue
		R1.3.3 Audio & Video from different files - as R1.1.2

	R1.4 PlayRecord
		R1.4.1 Only Video or Audio  - as R1.1.1
		R1.4.2 Audio & Video to the same file - supported,
"audio" issue
		R1.4.3 Audio & Video to different files - as R1.1.2

	R1.5 Simultaneous requests execution (ie play + record +
collect) - for example simultaneous play and record requests.
	R1.6 Stream Control (>>,<<) - forward/backward/fast-forward/...
- not clear for video, how performed, based on I frames rate?
	
	R1.7 Resource preservation - Should be allowed.

R2. Video Basic Conference
	R2.1 Video Conference Modes:
		R2.1.1 Voice Activated Conference - supported
		R2.1.2 Lecture Mode - TBD
		R2.1.3 Contributing Video Source - TBD
		R2.1.4 Tiled Video Window - TBD
	R2.2 Resource reservation - very poor.
	R2.3 User Notifications (Regarding specific window/region - who
see/seen) - not supported
	R2.4 Video Layout Configuration - not exist, I think it should
be intersection of SMIL and H248.19

R3. Video Advanced Conference
	R3.1 Play (according to R1.1) to whole conference
	R3.2 Record (according to R1.2) whole conference
	R3.3 Play (according to R1.1) to specific participant
	R3.4 Record (according to R1.2) specific participant
	R3.5 Resource preservation

P.S

I think the video control part and video conference control should be
enhanced.

Good work, I'm glad to know the MSCML is still alive.
I would like to join your working group in order to supply my inputs.

Kind Regards

Osher

--------------------------
Ubiquity Software does not control or endorse the content, messages or information found in this mail list and it specifically disclaims any liability with regard to these communications.
Ubiquity Software reserves the right the restrict access to any communications in violation of the Terms and Conditions of Use for this website or as otherwise deemed improper.